Bug 1315504 - NewPkg: Add elastic-curator package
NewPkg: Add elastic-curator package
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rich Megginson
chunchen
:
Depends On: 1315503
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 18:09 EST by Rich Megginson
Modified: 2016-09-29 22:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-18 20:23:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2016-03-07 18:09:58 EST
Description of problem:
The upstream curator feature - https://github.com/openshift/origin-aggregated-logging#curator - requires the elastic-curator package, version 3.5.0 (release pending).  The current version in fedora is 3.3.0.

Version-Release number of selected component (if applicable):
3.5.0 has support for client cert/key auth which is required.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Depends on python-elasticsearch
Comment 1 Rich Megginson 2016-04-05 19:00:22 EDT
Thanks to tdawson I am able to build and install python-elasticsearch and elastic-curator using mock with rhaos-3.2-rhel-7-candidate.
Comment 5 Rich Megginson 2016-05-17 15:46:31 EDT
@tdawson - What more do I need to do to get this package and its dependencies into RHAOS 3.2.x?
Comment 7 Troy Dawson 2016-05-18 18:01:52 EDT
@rmeggins This package, and it's dependencies ARE in RHAOS 3.2.x.  They were released with RHAOS 3.2.0.

# yum --enablerepo=rhel-7-server-ose-3.2-rpms list python-elasticsearch elastic-curator
...
Available Packages
elastic-curator.noarch       3.5.0-2.el7  rhel-7-server-ose-3.2-rpms
python-elasticsearch.noarch  2.3.0-1.el7  rhel-7-server-ose-3.2-rpms

As far as I know, this ticket can be marked CLOSED -> CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.